vncserver(1)

NAME
vncserver - a wrapper to launch an X server for VNC.

SYNOPSIS
vncserver [:display] [-geometry widthxheight] [-depth depth] [-pixelformat rgbNNN|bgrNNN] [-fp font-path] [-name desktop-name] [-nohttpd] [-otp] [-x509cert cert] [-x509key key] [-fg] [-autokill] [-noxstartup] [-xstartup script] [-3dwm] [-log file] [Xvnc-options...]

vncserver -kill :display

vncserver -list

vncserver -help

DESCRIPTION
vncserver is a wrapper script for Xvnc, the VNC (Virtual Network Computing) X server. Xvnc provides all of the capabilities of a standard X server, but it does not connect to a physical display. Instead, Xvnc creates a virtual X display that you can view or control remotely using a VNC viewer.

OPTIONS
You can add Xvnc options to the vncserver command line. They will be passed through to Xvnc without modification. The options provided by vncserver itself are as follows:

:display
    The X display number that Xvnc should occupy. If omitted, the next free display number is used.

-geometry widthxheight
    Set width and height of the virtual X display.

-depth depth
    Set the color depth of the virtual X display, in bits per pixel. Must be a value between 8 and 32.

-pixelformat rgbNNN|bgrNNN
    Specify the pixel format of the virtual X display. Xvnc can use any pixel format you choose, but if this pixel format does not match the pixel format of the display on which vncviewer is running, then Xvnc will perform pixel format conversion prior to sending images to vncviewer. This can slow performance. The default pixel format, rgb888, is equivalent to BGRA on little endian systems or ARGB on big endian systems. A pixel format of bgr888 is equivalent to RGBA on little endian systems or ABGR on big endian systems.

-fp font-path
    The vncserver script will normally examine your system to figure out where it stores its X11 fonts and then generate an appropriate font path for Xvnc based on this. If your system stores its X11 fonts in a location that vncserver does not know about, however, then this may fail. In that case, vncserver will then try to contact the local X Font Server (xfs) on port 7100. Not all systems have xfs installed and running, so this may fail as well. In that case, you can manually specify a font path by using the -fp argument to vncserver. If you prefer to use the X Font Server by default rather than a static font path, then you can run {TurboVNC_directory}/bin/vncserver -fp unix/:7100 on Linux systems or {TurboVNC_directory}/bin/vncserver -fp inet/:7100 on Solaris systems.

-name string
    This specifies the name of the desktop.

-nohttpd
    The default behavior of the vncserver script is to enable the embedded web server in Xvnc, which serves up the Java TurboVNC Viewer on a dedicated port. Passing an argument of -nohttpd to vncserver tells it not to enable the embedded web server in Xvnc.

-otp
    If the One-Time Password authentication method is enabled and permitted in Xvnc, then this generates an initial one-time password and prints it to the console prior to starting Xvnc.

-x509cert cert
    Specify the X.509 signed certificate file (in PEM format) to use with X.509 encryption. If this argument is specified, then it is passed to Xvnc. Otherwise, the vncserver script passes a default value of $vncUserDir/x509_cert.pem to Xvnc.

-x509key key
    Specify the X.509 private key file (in PEM format) to use with X.509 encryption. If this argument is specified, then it is passed to Xvnc. Otherwise, the vncserver script passes a default value of $vncUserDir/x509_private.pem to Xvnc.

-fg Runs Xvnc as a foreground process. This has two effects: (1) The VNC server can be aborted with CTRL-C, and (2) the VNC server will exit as soon as the user logs out of the window manager in the VNC session. This may be necessary when launching TurboVNC from within certain grid computing environments.

-autokill
    Automatically kill the VNC server when the startup script exits (which, in most cases, means that the VNC server will be killed automatically whenever the user logs out of the window manager running in the VNC session.)

-noxstartup
    Do not run the $vncUserDir/.vnc/xstartup.turbovnc script after launching Xvnc. This option allows you to manually start a window manager in your TurboVNC session or to run a full-screen application without a window manager.

-xstartup script
    Run a custom startup script, instead of xstartup.turbovnc, after launching Xvnc. This is useful in conjunction with the -fg option, since it allows for running a full-screen application (such as a game or a virtualization solution) in TurboVNC without a window manager and causes the TurboVNC session to terminate whenever the application exits.

-3dwm
    This sets an environment variable (TVNC_3DWM) to 1, and the default xstartup.turbovnc script that vncserver creates will launch the window manager using VirtualGL if that environment variable is set. More specifically, if TVNC_3DWM is set, then the xstartup.turbovnc script will launch the window manager using a command specified in another environment variable (TVNC_VGLRUN.) The default value of TVNC_VGLRUN is "vglrun +wm", but users can override that environment variable in order to pass additional arguments to vglrun, to specify the full path of vglrun, or to use another command to launch the window manager.

-log  file
    Redirect the output of Xvnc to file, rather than to $vncUserDir/.vnc/{hostname}{display}.log.

-kill :display
    Stops the VNC server that is currently running on the specified display.

-list
    Lists the display numbers and process ID's of all VNC servers that are currently running under your account on this machine.

-help
    Prints a brief list of command line options

EXAMPLES

vncserver
    Starts Xvnc on the next available display and uses suitable defaults.

vncserver :1
    Starts Xvnc on display :1.

vncserver -geometry 1024x768 :1
    Starts Xvnc on display :1 with desktop size of 1024x768 pixels.

vncserver -kill :1
    Shuts down the Xvnc server running on display :1.

FILES

/etc/turbovncserver.conf
    System-wide configuration file for the TurboVNC Server.

$HOME/.vnc/turbovncserver.conf
    User configuration file for the TurboVNC Server. Settings in this file override the system-wide configuration.

SEE ALSO
Xvnc(1), vncviewer(1), vncpasswd(1), vncconnect(1)

AUTHORS
VNC was originally developed at AT&T Laboratories Cambridge. TightVNC additions were implemented by Constantin Kaplinsky. TurboVNC, based on TightVNC, is provided by The VirtualGL Project. Many other people participated in development, testing and support. Man page authors:
Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>,
Tim Waugh <twaugh@redhat.com>,
Constantin Kaplinsky <const@tightvnc.com>
D. R. Commander <information@turbovnc.org>